#version 460 core

in vec3 FragColor;
in vec2 FragTexCoords;

// uniform inputs
uniform sampler2D ImageTexture0;
uniform float Frame;

out vec4 FinalColor;

void main()
{
	vec2 FinCoords = vec2((Frame + FragTexCoords.x) * 0.125f , FragTexCoords.y);
	FinalColor = texture(ImageTexture0, FinCoords);
}
